Package org.kapott.hbci.dialog

# Enum KnownReturncode

java.lang.Object
java.lang.Enum<KnownReturncode>
org.kapott.hbci.dialog.KnownReturncode

All Implemented Interfaces:
  `Serializable`, `Comparable<KnownReturncode>`, `java.lang.constant.Constable`

public enum KnownReturncode extends Enum<KnownReturncode>
Liste von bekannten Returncodes.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`E9340`
Signatur falsch (generisch)
`E9391`
Neue Kundensystem-ID holen
`E9930`
PIN ist gesperrt
`E9931`
Konto gesperrt wegen falscher PIN
`E9942`
PIN falsch (konkret)
`W3040`
Es liegen weitere Informationen vor - mit Aufsetzpunkt.
`W3072`
Geaenderte Benutzerdaten.
`W3076`
SCA-Ausnahme.
`W3920`
Die Liste der zugelassenen Zweischritt-Verfahren.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final KnownReturncode[]`
`LIST_AUTH_FAIL`
Die Liste der Return-Codes, die als "PIN falsch" interpretiert werden sollen.

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`contains(String code, KnownReturncode... codes)`
Prueft, ob der angegebene Code in der Liste enthalten ist.
`static KnownReturncode`
`find(String code, KnownReturncode... codes)`
Prueft, ob der angegebene Code in der Liste enthalten ist.
`boolean`
`is(String code)`
Prueft der angegebene Code identisch ist.
`HBCIRetVal`
`searchReturnValue(HBCIRetVal[] rets)`
Sucht nach dem angegebenen Status-Code in den Rueckmeldungen und liefert den Code zurueck.
`List<HBCIRetVal>`
`searchReturnValues(HBCIMsgStatus status)`
Sucht im gesamten Nachrichten-Status nach dem Status-Code.
`List<HBCIRetVal>`
`searchReturnValues(HBCIRetVal[] rets)`
Sucht nach dem angegebenen Status-Code in den Rueckmeldungen und liefert den Code zurueck.
`static KnownReturncode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static KnownReturncode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### W3040

public static final KnownReturncode W3040
Es liegen weitere Informationen vor - mit Aufsetzpunkt.

### W3072

public static final KnownReturncode W3072
Geaenderte Benutzerdaten.

### W3076

public static final KnownReturncode W3076
SCA-Ausnahme.

### W3920

public static final KnownReturncode W3920
Die Liste der zugelassenen Zweischritt-Verfahren.

### E9340

public static final KnownReturncode E9340
Signatur falsch (generisch)

### E9930

public static final KnownReturncode E9930
PIN ist gesperrt

### E9931

public static final KnownReturncode E9931
Konto gesperrt wegen falscher PIN

### E9942

public static final KnownReturncode E9942
PIN falsch (konkret)

### E9391

public static final KnownReturncode E9391
Neue Kundensystem-ID holen

## Field Details

### LIST_AUTH_FAIL

public static final KnownReturncode[] LIST_AUTH_FAIL
Die Liste der Return-Codes, die als "PIN falsch" interpretiert werden sollen.

## Method Details

### values

public static KnownReturncode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static KnownReturncode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### is

public boolean is(String code)
Prueft der angegebene Code identisch ist.

Parameters:
  `code` - der zu pruefende Code.
Returns:
  true, wenn der Code identisch ist.

### contains

public static boolean contains(String code, KnownReturncode... codes)
Prueft, ob der angegebene Code in der Liste enthalten ist.

Parameters:
  `code` - der zu pruefende Code.
  `codes` - die Liste der Codes.
Returns:
  true, wenn er in der Liste enthalten ist.

### find

public static KnownReturncode find(String code, KnownReturncode... codes)
Prueft, ob der angegebene Code in der Liste enthalten ist.

Parameters:
  `code` - der zu pruefende Code.
  `codes` - die Liste der Codes.
Returns:
  true, wenn er in der Liste enthalten ist.

### searchReturnValues

public List<HBCIRetVal> searchReturnValues(HBCIRetVal[] rets)
Sucht nach dem angegebenen Status-Code in den Rueckmeldungen und liefert den Code zurueck.

Parameters:
  `rets` - die Rueckmeldungen.
Returns:
  die gesuchten Rueckmeldecodes oder eine leere Liste. Nie NULL. Es werden alle gefundenen geliefert.

### searchReturnValues

public List<HBCIRetVal> searchReturnValues(HBCIMsgStatus status)
Sucht im gesamten Nachrichten-Status nach dem Status-Code.

Parameters:
  `status` - der Nachrichten-Status.
Returns:
  die Rückmeldecodes.

### searchReturnValue

public HBCIRetVal searchReturnValue(HBCIRetVal[] rets)
Sucht nach dem angegebenen Status-Code in den Rueckmeldungen und liefert den Code zurueck.

Parameters:
  `rets` - die Rueckmeldungen.
Returns:
  der gesuchte Rueckmeldecode oder NULL, wenn er nicht existiert. Es wird der erste gefundene verwendet.